MKNETID(8) | System Manager's Manual | MKNETID(8)

# NAME

`mknetid` —
a NIS filter program

# SYNOPSIS

`mknetid` | [`-q`] [`-d` domain] [`-g` groupfile] [`-h` hostfile] [`-m` netidfile] [`-p` passwdfile]

# DESCRIPTION

`mknetid` is used to create a map named netid.byname. The map consists of information from passwd(5), group(5) and hosts(5) eventually concatenated with a netid(5) file.

The options are as follows:

`-d` domain
  NIS domain to use instead of the default domain.
`-g` groupfile
  Alternate group(5) file. Default is /etc/group.
`-h` hostfile
  Alternate hosts(5) file. Default is /etc/hosts.
`-m` netidfile
  Alternate netid(5) file. Default is /etc/netid.
`-p` passwdfile
  Alternate passwd(5) file. Default is /etc/passwd.
`-q`
  Keep quiet about multiple occurrences of a uid; ignore all but the first.

# FILES

/etc/group
/etc/hosts
/etc/netid
/etc/passwd

# SEE ALSO

domainname(1), group(5), hosts(5), netid(5), passwd(5), nis(8)

# AUTHORS

Mats O Jansson <moj@stacken.kth.se>

February 26, 2005 | NetBSD 10.0